Package org.eclipse.gef.handles

# Class NonResizableHandle

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.gef.handles.AbstractHandle
org.eclipse.gef.handles.MoveHandle
org.eclipse.gef.handles.NonResizableHandle

All Implemented Interfaces:
  `org.eclipse.draw2d.AncestorListener`, `org.eclipse.draw2d.IFigure`, `Handle`

public class NonResizableHandle extends MoveHandle
Deprecated.
this handle type is no longer used
A MoveHandle for a non-resizable EditPart.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CornerTriangleBorder`
`border`
Deprecated.
The border

### Fields inherited from class org.eclipse.gef.handles.MoveHandle

`INNER_PAD`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`NonResizableHandle(GraphicalEditPart owner)`
Deprecated.
Creates a NonResizableHandle for the given `GraphicalEditPart` using a default `Locator`.
`NonResizableHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc)`
Deprecated.
Creates a NonResizableHandle for the given `GraphicalEditPart` using the given `Locator`.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initialize()`
Deprecated.
Initializes the handle.
`void`
`validate()`
Deprecated.
Updates the handle's color by setting the border's primary attribute.

### Methods inherited from class org.eclipse.gef.handles.MoveHandle

`containsPoint, createDragTracker, getAccessibleLocation`

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, removeNotify, setDragCursor, setDragTracker, setLocator, setOwner`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### border

protected CornerTriangleBorder border
Deprecated.
The border

## Constructor Details

### NonResizableHandle

public NonResizableHandle(GraphicalEditPart owner)
Deprecated.
Creates a NonResizableHandle for the given `GraphicalEditPart` using a default `Locator`.

Parameters:
  `owner` - The GraphicalEditPart to be moved by this handle.

### NonResizableHandle

public NonResizableHandle(GraphicalEditPart owner, org.eclipse.draw2d.Locator loc)
Deprecated.
Creates a NonResizableHandle for the given `GraphicalEditPart` using the given `Locator`.

Parameters:
  `owner` - The GraphicalEditPart to be moved by this handle.
  `loc` - The Locator used to place the handle.

## Method Details

### initialize

protected void initialize()
Deprecated.
Initializes the handle. Sets the `DragTracker` and DragCursor.

Overrides:
  `initialize` in class `MoveHandle`

### validate

public void validate()
Deprecated.
Updates the handle's color by setting the border's primary attribute.

Specified by:
  `validate` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `validate` in class `AbstractHandle`
See Also:
  - `IFigure.validate()`